[project]
name = "dynamix-sdk"
authors = [
  {name = "Dmitriy Smirnov"},
  {name = "Vladislav Nesterov"},
  {name = "Stanislav Karimov"},
]
version = "1.5.0"

readme = "README.md"

requires-python = ">=3.12"

dependencies = [
  "requests>=2.32.3",
  "pydantic==2.10.5",
  "pyyaml>=6.0.2",
]

[project.urls]
Repository = "https://repository.basistech.ru/BASIS/dynamix-python-sdk"

[build-system]
requires = [
  "setuptools",
  "setuptools-scm",
]
build-backend = "setuptools.build_meta"

[tool.setuptools.package-data]
src = ["*.yml"]
